    PROGRAM g01eyfe

!      G01EYF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g01eyf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: d, prob
       INTEGER                         :: ifail, n
!      .. Executable Statements ..
       WRITE (nout,*) 'G01EYF Example Program Results'
       WRITE (nout,*)

!      Skip heading in data file
       READ (nin,*)

!      Display titles
       WRITE (nout,*) '    D       N    One-sided probability'
       WRITE (nout,*)

D_LP:  DO
          READ (nin,*,IOSTAT=ifail) n, d
          IF (ifail/=0) THEN
             EXIT D_LP
          END IF

!         Calculate probability
          ifail = 0
          prob = g01eyf(n,d,ifail)

!         Display results
          WRITE (nout,99999) d, n, prob
       END DO D_LP

99999  FORMAT (1X,F7.4,2X,I4,10X,F7.4)
    END PROGRAM g01eyfe
